package com.ruoyi.psi.controller;

import java.util.*;

public class Test2 {
    public static void main(String[] args) {
        Long[][] sulllier_ids = {{1L, 2L, 3L}, {1L, 2L, 4L}, {1L, 2L, 3L, 4L}, {1L, 2L}};
        Long[][] goods_ids = {{100L, 200L, 300L}, {200001L, 200002L, 200004L}, {300001L, 300002L, 300003L, 300004L}, {400001L, 400002L}};

        // 获取供应商交集
        Set<Long> intersection = new HashSet<>(Arrays.asList(sulllier_ids[0]));

        for (int i = 1; i < sulllier_ids.length; i++) {
            Set<Long> currentSet = new HashSet<>(Arrays.asList(sulllier_ids[i]));
            intersection.retainAll(currentSet);
        }
        System.out.println(intersection.size());
        System.out.println(intersection.toArray());
        System.out.println(intersection.toString());

        // 根据交集获取商品数组
        int intersectionSize = intersection.size();
        Long[][] newGoodsIds = new Long[intersectionSize][];
        int row = 0;

        for (Long supplierId : intersection) {
            List<Long> goodsList = new ArrayList<>();

            for (int i = 0; i < sulllier_ids.length; i++) {
                if (Arrays.asList(sulllier_ids[i]).contains(supplierId)) {
                    goodsList.addAll(Arrays.asList(goods_ids[i]));
                }
            }

            newGoodsIds[row] = goodsList.toArray(new Long[0]);
            row++;
        }

        // 输出结果
        for (Long[] goods : newGoodsIds) {
            System.out.println(Arrays.toString(goods));
        }
    }
}
