package com.ruoyi.psi.domain.dto;

import com.ruoyi.psi.domain.PsiGoods;

import java.math.BigDecimal;

/**
 * @ClassName PsiGoodsDTO
 * @Description
 * @Author fm
 * @Date 2024/3/12 10:54
 * @Version V1.0
 */
public class PsiGoodsDTO extends PsiGoods {
    private static final long serialVersionUID = -6447383733986329629L;

    private String fileName;

    private String exRemark;

    public PsiGoodsDTO() {
    }

    public PsiGoodsDTO(String fileName, String exRemark) {
        this.fileName = fileName;
        this.exRemark = exRemark;
    }

    public PsiGoodsDTO(Long id, String googsCode, String goodsName, String spec, String unit, BigDecimal price, Integer priceType, String manufacturer, Long supplierId, String supplierName, Integer status, Long tenantId, Integer approvalType, Long annexId, String fileName, String exRemark) {
        super(id, googsCode, goodsName, spec, unit, price, priceType, manufacturer, supplierId, supplierName, status, tenantId, approvalType, annexId);
        this.fileName = fileName;
        this.exRemark = exRemark;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getExRemark() {
        return exRemark;
    }

    public void setExRemark(String exRemark) {
        this.exRemark = exRemark;
    }
}