package com.ruoyi.psi.domain.vo;

import com.ruoyi.psi.domain.PsiGoods;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @ClassName PsiGoodsAnnexVO
 * @Description
 * @Author fm
 * @Date 2024/3/12 14:19
 * @Version V1.0
 */
public class PsiGoodsAnnexVO extends PsiGoods {

    private static final long serialVersionUID = 6623419135333440833L;

    private String httpFilePath;

    private String exRemark;

    /** 0新增 1修改*/
    private Integer type;

    private Map<String,Object> exc;

    private String fileName;

    public PsiGoodsAnnexVO() {
    }

    public PsiGoodsAnnexVO(String httpFilePath, String exRemark, Integer type, Map<String, Object> exc, String fileName) {
        this.httpFilePath = httpFilePath;
        this.exRemark = exRemark;
        this.type = type;
        this.exc = exc;
        this.fileName = fileName;
    }

    public PsiGoodsAnnexVO(Long id, String googsCode, String goodsName, String spec, String unit, BigDecimal price, Integer priceType, String manufacturer, Long supplierId, String supplierName, Integer status, Long tenantId, Integer approvalType, Long annexId, String httpFilePath, String exRemark, Integer type, Map<String, Object> exc, String fileName) {
        super(id, googsCode, goodsName, spec, unit, price, priceType, manufacturer, supplierId, supplierName, status, tenantId, approvalType, annexId);
        this.httpFilePath = httpFilePath;
        this.exRemark = exRemark;
        this.type = type;
        this.exc = exc;
        this.fileName = fileName;
    }

    public String getHttpFilePath() {
        return httpFilePath;
    }

    public void setHttpFilePath(String httpFilePath) {
        this.httpFilePath = httpFilePath;
    }

    public String getExRemark() {
        return exRemark;
    }

    public void setExRemark(String exRemark) {
        this.exRemark = exRemark;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Map<String, Object> getExc() {
        return exc;
    }

    public void setExc(Map<String, Object> exc) {
        this.exc = exc;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}