package com.ruoyi.psi.domain.vo;

import com.ruoyi.psi.domain.PsiSupply;
import com.ruoyi.psi.domain.PsiSupplyItem;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @ClassName SupplyVO
 * @Description
 * @Author fm
 * @Date 2023/12/15 10:10
 * @Version V1.0
 */
public class SupplyVO extends PsiSupply {
    private List<PsiSupplyItem> supplyItems;

    private Integer quotationMode;

    public SupplyVO() {
    }

    public SupplyVO(List<PsiSupplyItem> supplyItems, Integer quotationMode) {
        this.supplyItems = supplyItems;
        this.quotationMode = quotationMode;
    }

    public SupplyVO(Long id, Long createUser, Long supplierId, Long purchaseId, Long tenantId, BigDecimal totalAmount, BigDecimal actualAmount, String supplierName, String remark, Integer status, String createUsername, String tenantName, BigDecimal storageAmount, Integer deliveryMethod, Date businessTime, Long storeId, String storeName, List<PsiSupplyItem> supplyItems, Integer quotationMode) {
        super(id, createUser, supplierId, purchaseId, tenantId, totalAmount, actualAmount, supplierName, remark, status, createUsername, tenantName, storageAmount, deliveryMethod, businessTime, storeId, storeName);
        this.supplyItems = supplyItems;
        this.quotationMode = quotationMode;
    }

    public List<PsiSupplyItem> getSupplyItems() {
        return supplyItems;
    }

    public void setSupplyItems(List<PsiSupplyItem> supplyItems) {
        this.supplyItems = supplyItems;
    }

    public Integer getQuotationMode() {
        return quotationMode;
    }

    public void setQuotationMode(Integer quotationMode) {
        this.quotationMode = quotationMode;
    }
}