package com.ruoyi.sup.domain.vo;

import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;

/**
 * @ClassName StorageItemExportVO
 * @Description
 * @Author fm
 * @Date 2023/12/27 17:38
 * @Version V1.0
 */
public class SupStorageItemVO {
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 入库单id */
    // @Excel(name = "入库单id")
    private Long storageId;

    /** 商品id */
    // @Excel(name = "商品id")
    private Long goodsId;

    /** 商品名称 */
    @Excel(name = "名称")
    private String goodsName;

    /** 规格 */
    @Excel(name = "规格")
    private String spec;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 数量 */
    @Excel(name = "数量")
    private BigDecimal quantity;

    /** 金额 */
    @Excel(name = "合同价")
    private BigDecimal price;

    /** 执行单价 */
    @Excel(name = "执行价")
    private BigDecimal priceInput;

    /** 实际数量 */
    @Excel(name = "收货数量")
    private BigDecimal actualQuantity;

    /** 已入库数量 */
    @Excel(name = "已入库数量")
    private BigDecimal storageQuantity;

    /** 本次入库数量 */
    @Excel(name = "本次入库数量")
    private BigDecimal thisQuantity;

    /** 本次入库金额 */
    @Excel(name = "本次入库金额")
    private BigDecimal amount;

   /* *//** 保质期 *//*
    @Excel(name = "保质期")
    private String shelfLife;

    *//** 产地 *//*
    @Excel(name = "产地")
    private String origin;

    *//** 收货单详情id *//*
    @Excel(name = "收货单详情id")
    private Long supplyItemId;

    *//** 状态 0:未出库,1:已出库 *//*
    private Integer status;

    *//** 批次 *//*
    private Long batch;

    *//** 租户id*//*
    private Long tenantId;*/

    public SupStorageItemVO() {
    }

    public SupStorageItemVO(Long id, Long storageId, Long goodsId, String goodsName, String spec, String unit, BigDecimal quantity, BigDecimal price, BigDecimal priceInput, BigDecimal actualQuantity, BigDecimal storageQuantity, BigDecimal thisQuantity, BigDecimal amount) {
        this.id = id;
        this.storageId = storageId;
        this.goodsId = goodsId;
        this.goodsName = goodsName;
        this.spec = spec;
        this.unit = unit;
        this.quantity = quantity;
        this.price = price;
        this.priceInput = priceInput;
        this.actualQuantity = actualQuantity;
        this.storageQuantity = storageQuantity;
        this.thisQuantity = thisQuantity;
        this.amount = amount;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getStorageId() {
        return storageId;
    }

    public void setStorageId(Long storageId) {
        this.storageId = storageId;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getPriceInput() {
        return priceInput;
    }

    public void setPriceInput(BigDecimal priceInput) {
        this.priceInput = priceInput;
    }

    public BigDecimal getActualQuantity() {
        return actualQuantity;
    }

    public void setActualQuantity(BigDecimal actualQuantity) {
        this.actualQuantity = actualQuantity;
    }

    public BigDecimal getStorageQuantity() {
        return storageQuantity;
    }

    public void setStorageQuantity(BigDecimal storageQuantity) {
        this.storageQuantity = storageQuantity;
    }

    public BigDecimal getThisQuantity() {
        return thisQuantity;
    }

    public void setThisQuantity(BigDecimal thisQuantity) {
        this.thisQuantity = thisQuantity;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    @Override
    public String toString() {
        return "StorageItemExportVO{" +
                "id=" + id +
                ", storageId=" + storageId +
                ", goodsId=" + goodsId +
                ", goodsName='" + goodsName + '\'' +
                ", spec='" + spec + '\'' +
                ", unit='" + unit + '\'' +
                ", quantity=" + quantity +
                ", price=" + price +
                ", priceInput=" + priceInput +
                ", actualQuantity=" + actualQuantity +
                ", storageQuantity=" + storageQuantity +
                ", thisQuantity=" + thisQuantity +
                ", amount=" + amount +
                '}';
    }
}