package com.ruoyi.sup.mapper;

import com.ruoyi.sup.domain.SupSrorageItem;
import com.ruoyi.sup.domain.SupStorage;
import com.ruoyi.sup.domain.vo.SupStorageItemVO;

import java.util.List;

/**
 * 入库单Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-22
 */
public interface SupStorageMapper
{

    /**
     * 查询出满足条件的入库单
     * @param storage
     * @return
     */
    List<SupStorage> selectSupStorageList(SupStorage storage);

    /**
     * 查询详情
     * @param id
     * @return
     */
    List<SupStorageItemVO> getInfoById(Long id);

    /**
     * 修改销货单
     * @param storage
     */
    void updateStorage(SupStorage storage);

    /**
     * 根据id查询销货单详情
     * @param id
     * @return
     */
    SupStorage selectSupStorageById(Long id);
}
