package com.ruoyi.sup.service;

import com.ruoyi.sup.domain.SupSupply;
import com.ruoyi.sup.domain.vo.SupSupplyVO;

import java.util.List;

/**
 * 供货单Service接口
 * 
 * @author ruoyi
 * @date 2023-12-19
 */
public interface ISupSupplyService 
{
    /**
     * 查询供货单
     * 
     * @param id 供货单主键
     * @return 供货单
     */
    public SupSupplyVO selectSupSupplyById(Long id, Long supplierId);

    /**
     * 查询供货单列表
     * 
     * @param supSupply 供货单
     * @return 供货单集合
     */
    public List<SupSupply> selectSupSupplyList(SupSupply supSupply);


}
