package com.ruoyi.psi.domain.vo;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @ClassName TableDataInfoVO
 * @Description
 * @Author fm
 * @Date 2024/1/16 8:56
 * @Version V1.0
 */
public class TableDataInfoVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 总记录数 */
    private long total;

    /** 列表数据 */
    private List<?> rows;

    /** 消息状态码 */
    private int code;

    /** 消息内容 */
    private String msg;

    /** 扩展 */
    private Map<String,Object> exc;

    public TableDataInfoVO() {
    }

    public TableDataInfoVO(long total, List<?> rows, int code, String msg, Map<String, Object> exc) {
        this.total = total;
        this.rows = rows;
        this.code = code;
        this.msg = msg;
        this.exc = exc;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public List<?> getRows() {
        return rows;
    }

    public void setRows(List<?> rows) {
        this.rows = rows;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Map<String, Object> getExc() {
        return exc;
    }

    public void setExc(Map<String, Object> exc) {
        this.exc = exc;
    }
}