package com.ruoyi.psi.service;

import java.util.List;
import com.ruoyi.psi.domain.Bidding;
import com.ruoyi.psi.domain.PsiSupplier;
import com.ruoyi.psi.domain.vo.AddBiddingVo;

/**
 * 竞价单Service接口
 * 
 * @author ruoyi
 * @date 2023-12-17
 */
public interface IBiddingService 
{

    /**
     * @description 根据采购单id生成竞价单
     *
     * @param purchaseId
     * @param tenantId
     * @return int
     * @author fm
     * @date 2023/12/17 10:12
     */
    List<PsiSupplier> getBiddingSupplier(Long purchaseId, Long tenantId);

    int addBidding(AddBiddingVo vo);
}
