package com.ruoyi.sup.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 竞价单详情对象 psi_bidding_item
 * 
 * @author ruoyi
 * @date 2023-12-18
 */
public class PsiBiddingItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 关联的竞价单id */
    @Excel(name = "关联的竞价单id")
    private Long biddingId;

    /** 商品id */
    @Excel(name = "商品id")
    private Long goodsId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsName;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 规格 */
    @Excel(name = "规格")
    private String spec;

    /** 数量 */
    @Excel(name = "数量")
    private BigDecimal quantity;

    /** 合同单价 */
    @Excel(name = "合同单价")
    private BigDecimal price;

    /** 执行单价 */
    @Excel(name = "执行单价")
    private BigDecimal priceInput;

    /** 金额 执行单价*数量 */
    @Excel(name = "金额 执行单价*数量")
    private BigDecimal amount;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBiddingId(Long biddingId) 
    {
        this.biddingId = biddingId;
    }

    public Long getBiddingId() 
    {
        return biddingId;
    }
    public void setGoodsId(Long goodsId) 
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId() 
    {
        return goodsId;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setSpec(String spec) 
    {
        this.spec = spec;
    }

    public String getSpec() 
    {
        return spec;
    }
    public void setQuantity(BigDecimal quantity) 
    {
        this.quantity = quantity;
    }

    public BigDecimal getQuantity() 
    {
        return quantity;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setPriceInput(BigDecimal priceInput) 
    {
        this.priceInput = priceInput;
    }

    public BigDecimal getPriceInput() 
    {
        return priceInput;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("biddingId", getBiddingId())
            .append("goodsId", getGoodsId())
            .append("goodsName", getGoodsName())
            .append("unit", getUnit())
            .append("spec", getSpec())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .append("price", getPrice())
            .append("priceInput", getPriceInput())
            .append("amount", getAmount())
            .toString();
    }
}
