package com.ruoyi.sup.domain.vo;


import com.ruoyi.sup.domain.SupSupply;
import com.ruoyi.sup.domain.SupSupplyItem;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @ClassName SupplyVO
 * @Description
 * @Author fm
 * @Date 2023/12/15 10:10
 * @Version V1.0
 */
public class SupSupplyVO extends SupSupply {

   private List<SupSupplyItem> supplyItems;

   public SupSupplyVO() {
   }

   public SupSupplyVO(List<SupSupplyItem> supplyItems) {
      this.supplyItems = supplyItems;
   }

   public SupSupplyVO(Long id, Long createUser, Long supplierId, Long purchaseId, Long tenantId, BigDecimal totalAmount, String supplierName, String remark, Integer status, String createUsername, String tenantName, Date businessTime, List<SupSupplyItem> supplyItems) {
      super(id, createUser, supplierId, purchaseId, tenantId, totalAmount, supplierName, remark, status, createUsername, tenantName, businessTime);
      this.supplyItems = supplyItems;
   }

   public List<SupSupplyItem> getSupplyItems() {
      return supplyItems;
   }

   public void setSupplyItems(List<SupSupplyItem> supplyItems) {
      this.supplyItems = supplyItems;
   }

   @Override
   public String toString() {
      return "SupSupplyVO{" +
              "supplyItems=" + supplyItems +
              '}';
   }
}