package com.ruoyi.sup.mapper;

import com.ruoyi.psi.domain.PsiSupply;
import com.ruoyi.sup.domain.SupSupply;
import com.ruoyi.sup.domain.SupSupplyItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 供货单Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-19
 */
public interface SupSupplyMapper
{
    /**
     * 查询供货单
     * 
     * @param id 供货单主键
     * @return 供货单
     */
    public SupSupply selectSupSupplyById(Long id, Long supplierId);

    /**
     * 查询供货单列表
     * 
     * @param SupSupply 供货单
     * @return 供货单集合
     */
    public List<SupSupply> selectSupSupplyList(SupSupply SupSupply);

    List<SupSupplyItem> selectSupplyItem(Long id);
}
