package com.ruoyi.sup.service;

import com.ruoyi.psi.domain.PsiSrorageItem;
import com.ruoyi.psi.domain.PsiStorage;
import com.ruoyi.psi.domain.vo.StorageItemExportVO;
import com.ruoyi.psi.domain.vo.SupplyVO;
import com.ruoyi.sup.domain.SupSrorageItem;
import com.ruoyi.sup.domain.SupStorage;
import com.ruoyi.sup.domain.vo.SupStorageItemVO;

import java.util.List;
import java.util.Map;

/**
 * 入库单Service接口
 * 
 * @author ruoyi
 * @date 2023-12-22
 */
public interface SupStorageService
{
    /**
     * 查询满足条件的入库单
     * @param storage
     * @return
     */
    List<SupStorage> selectSupStorageList(SupStorage storage);

    /**
     * 获得详细
     * @param id
     * @return
     */
    List<SupStorageItemVO> getInfoById(Long id);

    /**
     * 销货单撤回
     * @param id
     * @return
     */
    int revokeStorage(Long id);
}
